# Generated from md2man-5.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name md2man

Name: rubygem-%{gem_name}
Version: 5.1.2
Release: 1%{?dist}
Summary: markdown to manpage
License: ISC
URL: https://sunaku.github.io/md2man
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.1
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
Converts markdown into UNIX manpages and HTML webpages.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/md2man-html
%{_bindir}/md2man-rake
%{_bindir}/md2man-roff
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/EXAMPLE.markdown
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION.markdown
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/man
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.markdown
%{gem_instdir}/Rakefile
%{gem_instdir}/md2man.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 5.1.2-1
- Initial package
